:root {
	--bg-color: #f9f6f0;
	--fg-color: #0a0805;
	--fg-orange: #d14900;
	--fg-dark-orange: #db8f00;
	--bg-yellow: #ffd580;
	--pale-brown: #90665a;
}

html {
	height: 100%;
	background: var(--bg-color);
	color: var(--fg-color);
}

::selection{
	background-color: var(--bg-yellow);
	color: #0a0805;
}

body {
	font-family: Garamond, serif;
	margin: 0;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	min-height:100%;
}

p,li {
	line-height: 1.5;
}

.responsive-block {
	display: flex;
	flex-direction: row;
	gap: 2rem;
	max-width: 1000px;
}

header {
	position: sticky;
	top: 0;
	align-self: flex-start;
	padding: 2rem;
}

header span {
	font-size: 1.5rem;
	font-weight: 600;
	letter-spacing: 0.05rem;
}

header nav ul {
	list-style-type: none;
	padding: 0;
	display: flex; 
	flex-direction: column;
	gap: 0.25rem;
}

header nav ul a {
	color: inherit;
	text-decoration: none;
}

a {
	color: var(--fg-orange);
	font-weight: bold;
	text-decoration: underline var(--fg-orange) dotted;
}

header nav ul a.current {
	color: var(--fg-orange);
}

a:hover {
	color: var(--fg-dark-orange);
	text-decoration: underline;
}

main {
	margin: 2rem 2rem 0 0;
}

.last-updated {
	font-size: 12px;
	color: var(--fg-orange);
	margin-top: 2rem;
}

h1 {
	margin: 0;
	margin-bottom: 2rem;
	font-weight: normal;
}

h2, h3, h4, h5, h6 {
	margin-top: 2rem;
}

footer {
	margin: 2rem;
	padding-top: 2rem;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
	border-top: 1px solid; 
}

footer div {
	display: flex;
	gap: 0.5rem;
}

blockquote {
	display: flex;
	flex-direction: column;
	gap: 0.25rem;
	padding-left: 1rem;
	border-left: 1px solid black;
}

blockquote span {
	margin-left: auto;
}

blockquote span::before {
	content: "— ";
}

code {
	font-size: 1rem;
}

@media (prefers-color-scheme: dark) {
	:root {
		--fg-color: #f9f6f0;
		--bg-color: #111111;
		--fg-orange: #ffbb77;
		--fg-dark-orange: #db8f00;
		--bg-yellow: #ffd580;
	}
}

@media only screen and (max-width: 600px) {
	.responsive-block {
		flex-direction: column;
		gap: 0;
	}

	header {
		position: inherit;
		padding: 1rem 1rem 0 1rem;
	}

	main {
		margin: 1rem 1rem 0 1rem;
	}

	footer {
		margin: 1rem;
	}
}
